#
# spec file for package shigofumi
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           shigofumi
Version:        0.6
Release:        4.3
Summary:        Command line client for accessing the Czech Data Boxes
License:        GPL-3.0+
Group:          Applications/Internet
Url:            http://xpisar.wz.cz/%{name}/
Source0:        http://xpisar.wz.cz/%{name}/dist/%{name}-%{version}.tar.xz
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  file-devel
BuildRequires:  pkg-config
BuildRequires:  po4a
BuildRequires:  readline-devel
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(libconfuse)
BuildRequires:  pkgconfig(libisds) >= 0.10
BuildRequires:  pkgconfig(libxml-2.0)

%description
This is Shigofumi, an ISDS (Informační systém datových schránek / Data Box
Information System) client.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang %{name}

%check
make %{?_smp_mflags} check

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS TODO COPYING ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_mandir}/man5/*
%{_mandir}/*/man5/*

%changelog
* Mon Jan 12 2015 tchvatal@suse.com
- Cleanup to adhere openSUSE requirements
- Version bump to 0.6:
  * libisds version 0.10 is required for this Shigofumi release.
  * A new command searchbox was added. It provides with capabality to do
    full-text search for a box.
  * Feature test macro _DEFAULT_SOURCE was added to allow compilation with
    glibc-2.20.
  * su_seconds_t type handling was fixes to allow compilation with Mac OS
    X standard library.
  * Address header was marked as a translatable string.
* Tue Apr  1 2014 ppisar@redhat.com
- 0.5 bump
- Use _DEFAULT_SOURCE where _SVID_SOURCE macro presents to satisfy
  glibc-2.19.90
* Mon Oct 21 2013 ppisar@redhat.com
- 0.4 bump
* Fri Jan  4 2013 ppisar@redhat.com
- 0.3 bump
* Tue Oct 30 2012 ppisar@redhat.com
- 0.2 bump
* Fri Feb 11 2011 ppisar@redhat.com
- Remove set but unread variable
- Remove BuildRoot stuff
* Thu Jul  8 2010 ppisar@redhat.com
- 0.1 import
